// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/chat/enum.proto

package chatBase

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ChatType int32

const (
	ChatType_CHAT_UNSPECIFIED ChatType = 0
	ChatType_CHAT_GROUP       ChatType = 1
)

// Enum value maps for ChatType.
var (
	ChatType_name = map[int32]string{
		0: "CHAT_UNSPECIFIED",
		1: "CHAT_GROUP",
	}
	ChatType_value = map[string]int32{
		"CHAT_UNSPECIFIED": 0,
		"CHAT_GROUP":       1,
	}
)

func (x ChatType) Enum() *ChatType {
	p := new(ChatType)
	*p = x
	return p
}

func (x ChatType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ChatType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_chat_enum_proto_enumTypes[0].Descriptor()
}

func (ChatType) Type() protoreflect.EnumType {
	return &file_v1_chat_enum_proto_enumTypes[0]
}

func (x ChatType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ChatType.Descriptor instead.
func (ChatType) EnumDescriptor() ([]byte, []int) {
	return file_v1_chat_enum_proto_rawDescGZIP(), []int{0}
}

var File_v1_chat_enum_proto protoreflect.FileDescriptor

var file_v1_chat_enum_proto_rawDesc = []byte{
	0x0a, 0x12, 0x76, 0x31, 0x2f, 0x63, 0x68, 0x61, 0x74, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x10, 0x66, 0x63, 0x70, 0x2e, 0x63, 0x68, 0x61, 0x74, 0x2e, 0x76,
	0x31, 0x2e, 0x63, 0x68, 0x61, 0x74, 0x2a, 0x30, 0x0a, 0x08, 0x43, 0x68, 0x61, 0x74, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x14, 0x0a, 0x10, 0x43, 0x48, 0x41, 0x54, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45,
	0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0e, 0x0a, 0x0a, 0x43, 0x48, 0x41, 0x54,
	0x5f, 0x47, 0x52, 0x4f, 0x55, 0x50, 0x10, 0x01, 0x42, 0x51, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x63, 0x68, 0x61, 0x74,
	0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66,
	0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67,
	0x65, 0x6e, 0x2f, 0x63, 0x68, 0x61, 0x74, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x68, 0x61, 0x74, 0x3b,
	0x63, 0x68, 0x61, 0x74, 0x42, 0x61, 0x73, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_chat_enum_proto_rawDescOnce sync.Once
	file_v1_chat_enum_proto_rawDescData = file_v1_chat_enum_proto_rawDesc
)

func file_v1_chat_enum_proto_rawDescGZIP() []byte {
	file_v1_chat_enum_proto_rawDescOnce.Do(func() {
		file_v1_chat_enum_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_chat_enum_proto_rawDescData)
	})
	return file_v1_chat_enum_proto_rawDescData
}

var file_v1_chat_enum_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_chat_enum_proto_goTypes = []interface{}{
	(ChatType)(0), // 0: fcp.chat.v1.chat.ChatType
}
var file_v1_chat_enum_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_v1_chat_enum_proto_init() }
func file_v1_chat_enum_proto_init() {
	if File_v1_chat_enum_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_chat_enum_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_chat_enum_proto_goTypes,
		DependencyIndexes: file_v1_chat_enum_proto_depIdxs,
		EnumInfos:         file_v1_chat_enum_proto_enumTypes,
	}.Build()
	File_v1_chat_enum_proto = out.File
	file_v1_chat_enum_proto_rawDesc = nil
	file_v1_chat_enum_proto_goTypes = nil
	file_v1_chat_enum_proto_depIdxs = nil
}
